{ config, pkgs, discord, inputs, nixpkgs-nixos-unstable-and-unfree, ... }:
let
  unstable = inputs.nixpkgs-nixos-unstable.legacyPackages.${pkgs.system};
  nixpkgs-master = inputs.nixpkgs-master.legacyPackages.${pkgs.system};
in {

  security.chromiumSuidSandbox.enable = true;

  home-manager.users.cyryl = { ... }: {
    gtk = {
      enable = true;
      iconTheme = {
        name = "Adwaita";
        package = pkgs.gnome3.adwaita-icon-theme;
      };
    };
    qt = {
      enable = true;
      platformTheme = "gnome";
      style.name = "adwaita-dark";
      style.package = pkgs.adwaita-qt;
    };

    imports = [ ];

    programs.chromium.enable = true;
    programs.firefox.enable = true;
    home.packages = with pkgs;
      with pkgs.gnome3;
      with pkgs.python38Packages;
      [
        anarchism
        binwalk-full
        cheese
        digikam
        electrum
        element-desktop
        eog
        evince
        fontconfig
        freecad
        ghidra-bin
        gimp
        glxinfo
        gnome-screenshot
        pkgs.gsettings-desktop-schemas
        inkscape
        libreoffice
        mindforger
        modem-manager-gui
        nautilus
        nyxt
        obs-studio
        openscad
        passff-host
        pdfarranger
        qcad
        qemu
        remmina
        pkgs.shotwell
        signal-desktop
        simple-scan
        ssb-patchwork
        tlaplusToolbox
        tlaps
        vlc
        winePackages.full
        wireshark
        wsjtx
        xclip
        xidlehook
        yubico-piv-tool
        yubikey-manager-qt
        yubikey-personalization
        yubikey-personalization-gui
      ] ++ [ unstable.gnucash unstable.thunderbird ] ++ [
        nixpkgs-nixos-unstable-and-unfree.discord
        nixpkgs-nixos-unstable-and-unfree.hopper
        nixpkgs-nixos-unstable-and-unfree.slack
        nixpkgs-nixos-unstable-and-unfree.spotify
        nixpkgs-nixos-unstable-and-unfree.zoom-us
      ];
  };
}
